
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>设计模式之总结篇（设计模式六大原则以及设计模式三种类型） / 憋错料</title>

    <meta name="description" content="设计模式之总结篇（设计模式六大原则以及设计模式三种类型） 经过这半年的学习,自己对设计模式这门课程也有了一定的认知.前面也发了关于23个设计模式的博客.现在对这些设计模式进行一个整体的总结. 首先,设计模式有六大原则: 原则一.单一职责原则 定义:There should never be more than one reason for a class to change(不要存在多于一个导致类变更的原因).通俗的说,即一个类只负责一项职责. 好处: 1.降低类的复杂度. 2.提高可读性. 3.提高可维护性. 4.变更引起的风险降低. 原则二.里氏替">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">设计模式之总结篇（设计模式六大原则以及设计模式三种类型）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>经过这半年的学习，自己对设计模式这门课程也有了一定的认知。前面也发了关于23个设计模式的博客。现在对这些设计模式进行一个整体的总结。</p>
<p>首先，设计模式有六大原则：</p>
<p>原则一、<strong>单一职责原则</strong></p>
<p>定义：There should never be more than one reason for a class to change（不要存在多于一个导致类变更的原因）。通俗的说，即一个类只负责一项职责。</p>
<p>好处：</p>
<p>1、降低类的复杂度。</p>
<p>2、提高可读性。</p>
<p>3、提高可维护性。</p>
<p>4、变更引起的风险降低。</p>
<p>原则二、<strong>里氏替换原则</strong></p>
<p>定义：Functions that use pointers or references to base classes must be able to use objects of derived classes without knowing it（所有引用基类的地方必须能够透明地使用其子类的对象）</p>
<p>优点：</p>
<p>增强程序的健壮性。</p>
<p>原则三：<strong>依赖倒置原则</strong></p>
<p>定义：High level modules should not depend upon low modules. Both should depend upon abstractions.Abstractions should not depend upon details.Details should depend upon abstractions.</p>
<p>（高层模块不应该依赖低层模块，二者都应该依赖其抽象；抽象不应该依赖细节；细节应该依赖抽象。）</p>
<p>（简单来说也就是面向接口编程）</p>
<p>使用这一原则，遵循下面几个规则就可以：</p>
<p>1、每个类尽量都有借口或抽象类，或者抽象类和接口两者都具备。</p>
<p>2、变量的表面类型尽量是接口或者抽象类。</p>
<p>3.任何类都不应该从具体类派生。</p>
<p>原则四、<strong>接口隔离原则</strong></p>
<p>定义一：CLients should not be forced to depend upon interfaces that they don‘t use（客户端不应该依赖它不需要的接口）。</p>
<p>定义二：The dependency of one class to another one should depend on the smallest possible interface（类间的依赖关系应该建立在最小的接口上）。</p>
<p>简单来讲就是：建立单一接口，不要建立臃肿庞大的接口。</p>
<p>需要注意一点：根据接口隔离原则拆分接口时，首先必须满足单一职责原则。</p>
<p>原则五、<strong>迪米特法则（最少知识原则）</strong></p>
<p>定义：一个对象应该对其他对象有最少的了解。(Only talk to your immedate friends)</p>
<p>迪米特法则要求尽量不要对外公布太多的public方法和非静态的public变量，尽量内敛，多使用private、protected、package-private等访问权限。</p>
<p>原则六：<strong>开闭原则</strong></p>
<p>定义：Software entities like classes,modules and functions should be open for extension but closed for modifications(一个软件实体如类、模块、和函数应该对扩展开放，对修改关闭）。</p>
<p>优点：</p>
<p>1、提高复用性。</p>
<p>2、提高复用性。</p>
<p>3、提高维护性。</p>
<p>上面是设计模式需要遵循的六大原则。</p>
<p>接下来我们来看下，设计模式的三种类型。</p>
<p>我们学习过的设计模式总共有23个。</p>
<p>这23个模式根据自己的功能也就是完成的工作，又可以划分为三种类型：创建型、结构型和行为型。</p>
<p>一、<strong>创建型</strong>包括一下设计模式：</p>
<p>1、<a href="http://blog.csdn.net/wsyw126/article/details/51296153" rel="external nofollow noreferrer">Singleton&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;单例模式</a></p>
<p>2、<a href="http://blog.csdn.net/wsyw126/article/details/51297087" rel="external nofollow noreferrer">Abstract Factory&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;抽象工厂</a></p>
<p>3、<a href="http://blog.csdn.net/wsyw126/article/details/51297087" rel="external nofollow noreferrer">Factory Method&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;工厂方法</a></p>
<p>4、<a href="http://blog.csdn.net/wsyw126/article/details/51303195" rel="external nofollow noreferrer">Builder&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;建造模式</a></p>
<p>5、<a href="http://blog.csdn.net/wsyw126/article/details/50999174" rel="external nofollow noreferrer">Prototype&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;原型模式</a></p>
<p>二、<strong>结构型</strong>包括一下设计模式：</p>
<p>6、<a href="http://blog.csdn.net/wsyw126/article/details/51333750" rel="external nofollow noreferrer">Iterator&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;迭代器模式</a></p>
<p>7、<a href="http://blog.csdn.net/wsyw126/article/details/50880499" rel="external nofollow noreferrer">Observer&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;观察者模式</a></p>
<p>8、<a href="http://blog.csdn.net/wsyw126/article/details/51298317" rel="external nofollow noreferrer">Template Method&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;模板方法</a></p>
<p>9、<a href="http://blog.csdn.net/wsyw126/article/details/51317887" rel="external nofollow noreferrer">Command&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;命令模式</a></p>
<p>10、<a href="http://blog.csdn.net/wsyw126/article/details/51335178" rel="external nofollow noreferrer">State&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;状态模式</a></p>
<p>11、<a href="http://blog.csdn.net/wsyw126/article/details/50867387" rel="external nofollow noreferrer">Strategy&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;策略模式</a></p>
<p>12、<a href="http://blog.csdn.net/wsyw126/article/details/51314127" rel="external nofollow noreferrer">Chain of Responsibility&nbsp;&nbsp; 责任 链模式</a></p>
<p>13、<a href="http://blog.csdn.net/wsyw126/article/details/51345997" rel="external nofollow noreferrer">Mediator&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;中介者模式</a></p>
<p>14、<a href="http://blog.csdn.net/wsyw126/article/details/51336362" rel="external nofollow noreferrer">Visitor&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;访问者模式</a></p>
<p>15、<a href="http://blog.csdn.net/wsyw126/article/details/51346114" rel="external nofollow noreferrer">Interpreter&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;解释器模式</a></p>
<p>16、<a href="http://blog.csdn.net/wsyw126/article/details/51334700" rel="external nofollow noreferrer">Memento&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;备忘录模式</a></p>
<p>三、<strong>行为型</strong>包括一下设计模式：</p>
<p>17、<a href="http://blog.csdn.net/wsyw126/article/details/51333823" rel="external nofollow noreferrer">Composite&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;组合模式</a></p>
<p>18、<a href="http://blog.csdn.net/wsyw126/article/details/51334018" rel="external nofollow noreferrer">Facade&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;外观模式</a></p>
<p>19、<a href="http://blog.csdn.net/wsyw126/article/details/51313972" rel="external nofollow noreferrer">Proxy&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;代理模式</a></p>
<p>20、<a href="http://blog.csdn.net/wsyw126/article/details/51318720" rel="external nofollow noreferrer">Adapter&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;适配器模式</a></p>
<p>21、<a href="http://blog.csdn.net/wsyw126/article/details/50885542" rel="external nofollow noreferrer">Decrator&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 装饰模式</a></p>
<p>22、<a href="http://blog.csdn.net/wsyw126/article/details/51336078" rel="external nofollow noreferrer">Bridge&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;桥接模式</a></p>
<p>23、<a href="http://blog.csdn.net/wsyw126/article/details/51336693" rel="external nofollow noreferrer">Flyweight&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;享元模式</a></p>
<p><strong>总结</strong>：</p>
<p>学习设计模式，不是为了任何情况都按某种模式设计，而是为了自己的设计提供思路和方法。</p>
<p>不要因为为了使用某种设计模式而改变自己的需求。</p>
<p>要动态的选择合适的方式来进行开发。</p>
<p><strong>参考资料</strong>：</p>
<p><a href="http://download.csdn.net/detail/wsyw126/9508137" rel="external nofollow noreferrer">设计模式之禅</a></p>
<p><strong>备注</strong>：</p>
<p>转载请注明出处：http://blog.csdn.net/wsyw126/article/details/51347322</p>
<p>作者：WSYW126</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-07 04:18:57 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>设计模式之总结篇（设计模式六大原则以及设计模式三种类型）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoKYpxM.html" rel="bookmark">设计模式的三种类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计模式(GOF模式)分为三种类型,共23类.一.创建型模式:单例模式.抽象工厂模式.建造者模式.工厂模式.原型模式.二.结构型模式:适配器模式.桥接模式.装饰模式.组合模式.外观模式.享元模式.代理模式.三.行为型模式:模版方法模式.命令模式.迭代器模式.观察者模式.中介者模式.备忘录模式.解释器模式.状态模式.策略模式.职责链模式.访问者模式.原文链接:https://blog.csdn.net/zhw0596/article/details/80852325 原文地址:https://ww			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kXyal3.html" rel="bookmark">初识设计模式、软件设计的六大原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				总结:本篇文字分为两个部分.第一部分:设计模式基本常识:第二部分:软件设计中的六大原则,并详细分析了单一职责原则.(本篇文章的时间轴参考:为知笔记支撑文件夹\Java设计模式(时间序列图).vsdx) 部分一:初识设计模式 什么是设计模式?James拿到这个论点时,很是迷惑! 模式?是不是一个模子?模式识别--计算机领域的经典问题? 设计模拟?软件的设计模式?不懂!!! 但是在实际编码.调试过程中,James的遇到过很是难解的问题:工程代码中有过多的冗余代码--代码复用性不高:需求一旦改变,需要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47a5R60.html" rel="bookmark">设计模式详解之程序设计六大原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设计模式(Designpattern)是一套被反复使用(spring源码当中就出现了很多模式,如模板模式,代理模式,单例模式,工厂模式等).多数人知晓的.经过分类编目的.代码设计经验的总结.还有一种说法,设计模式是可以解决特定场景的问题的一系列方法. 设计模式可以帮助我们改善系统的设计,增强系统的健壮性.可扩展性,为以后铺平道路,但是过多的模式也会系统变的复杂. 在学习设计模式之前,先了解程序设计六大原则. 这些原则是指导模式的规则,原则是死的,人是活的,所以并不是要完完全全遵守这些规则,否则为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0adDWAM.html" rel="bookmark">&lbrack;转&rsqb;设计模式--六大原则与三种类型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.6大原则 1.单一职责原则(Single Responsibility Principle) 定义:就一个类而言,应该仅有一个引起它变化的原因: 如果一个类承担的职责过多,就等于把这些职责耦合在一起,一个职责变化可能会消弱或者抑制这个类完成其他职责的能力.这种耦合会导致脆弱的设计,当变化发生时,设计会遭受到意想不到的破坏: T负责两个不同的职责:职责P1,职责P2.当由于职责P1需求发生改变而需要修改类T时,有可能会导致原本运行正常的职责P2功能发生故障.也就是说职责P1和P2被耦合在了一起			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rvA1X3.html" rel="bookmark">Monkey源码分析番外篇之Android注入事件的三种方法比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.pocketmagic.net/2012/04/injecting-events-programatically-on-android/#.VEoIoIuUcaV 往下分析monkey事件注入源码之前先了解下在android系统下事件注入的方式,翻译一篇国外文章如下. Method 1: Using internal APIs 方法1:使用内部APIs This approach has its risks, like it is always with intern			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38NmBRM.html" rel="bookmark">【SSH三大框架】Spring基础第二篇：Spring依赖注入的三种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制反转(Inversion of Control)和依赖注入(Dependency Injection): 应用控制反转,对象在被创建的时候,由一个调控系统内所有对象的外界实体将其所依赖的对象的引用传递给它.也可以说,依赖被注入到对象中.所以,控制反转是,关于一个对象如何获取他所依赖的对象的引用,这个责任的反转. 对于依赖注入,有三种方式: 1.使用属性的setter方法注入 2.使用构造器注入 3.使用注解注入 下面我们介绍下这三种方式: 一.使用属性的setter方法注入 首先,我们写一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEmPpXM.html" rel="bookmark">横冲直撞vue&lpar;第三篇&rpar;：vue中template的三种写法、v-bind、v-on、更新元素的指令v-text与v-html、条件渲染指令v-if 与v-show、v-for</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.vue中template的三种写法 第一种(字符串模板写法): 直接写在vue构造器里,这种写法比较直观,适用于html代码不多的场景,但是如果模板里html代码太多,不便于维护,不建议这么写. &lt;body&gt; &lt;div id=&quot;app&quot;&gt;&lt;/div&gt; &lt;script src=&quot;./lib/vue.js&quot;&gt;&lt;/script&gt; &lt;script type=&quot;text/javascript&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Kj9POM.html" rel="bookmark">Java设计模式之&mdash;&mdash;面向对象六大原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				面向对象六大原则: 设计模式六大原则(1):单一职责原则 设计模式六大原则(2):开闭原则 设计模式六大原则(3):里氏替换原则 设计模式六大原则(4):依赖倒置原则 设计模式六大原则(5):接口隔离原则 设计模式六大原则(6):迪米特原则 设计模式六大原则(1):单一职责原则 单一职责原则的英文名称是 Single Responsibility Principle,缩写为 SRP.SRP 的定义是:就一个类而言,应该仅有一个引起它变化的原因.简单来说,一个类中应该是一组相关性很高的函数.数据的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pGJYo3.html" rel="bookmark">连载：面向对象葵花宝典：思想、技巧与实践（39） - 设计原则 vs 设计模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				又是设计原则,又是设计模式,到底该用哪个呢? ============================================================================= 在&quot;设计模型&quot;一章中,我们提到设计原则和设计模式是互补的,设计原则和设计模式互补体现在:设计原则主要用于指导&quot;类的定义&quot;的设计,而设计模式主要用于指导&quot;类的行为&quot;的设计. 举一个很简单的例子:假设我们要设计一个图形类Shape,这个类既支持三角形,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMoRQb4.html" rel="bookmark" class="title">【百度之星2014~初赛（第二轮）解题报告】Chess</a>
					<div>
						声明 笔者最近意外的发现 笔者的个人网站http://tiankonguse.com/ 的很多文章被其它网站转载,但是转载时未声明文章来源或参考自 http://tiankonguse.com/ 网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dqBr3.html" rel="bookmark" class="title">&lbrack; An Ac a Day &Hat;&lowbar;&Hat; &rsqb; CodeForces 677B Vanya and Food Processor 模拟</a>
					<div>
						题意: 你有一个榨汁机 还有n个土豆 榨汁机可以容纳h高的土豆 每秒可以榨k高的东西 问按顺序榨完土豆要多久 思路: 直接模拟 一开始以为是最短时间排了个序 后来发现多余了…… 1 #include& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jxLZ4.html" rel="bookmark" class="title">AngularJS Eclipse&mdash;&mdash;新手入门【翻译&plus;整理】</a>
					<div>
						原文地址 本文介绍如何安装和配置 AngularJS Eclipse.Eclipse 插件是基于强大的 JavaScript 推断引擎(javascript inference engine)Tern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gEvX0.html" rel="bookmark" class="title">详解javascript  存储</a>
					<div>
						javascript用于存储的方式可谓是多种多样,善于应用‘存储’可以大大的提高网站的性能,博主结合日常开发常见需求做一下总结,希望对大家有用- 1.cookie 存储大小:   4kb左右,以20个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPd2yBM.html" rel="bookmark" class="title">Contaminated Milk</a>
					<div>
						Contaminated Milk 题目描述 Farmer John, known far and wide for the quality of the milk produced on his f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gxjv0.html" rel="bookmark" class="title">Android本地JUnit Text</a>
					<div>
						Android本地JUnit Text 步骤 创建一个和source文件,里面添加和src目录相同的包. 在AndroidManifest.xml文件manifest根节点添加如下文件 &lt;ins ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG8aea0.html" rel="bookmark" class="title">在网页中获取 facebook page 的内容</a>
					<div>
						参考 : http://www.ibm.com/developerworks/cn/opensource/os-cn-facebookapi/ 1.首先你要有 facebook page, 内容要公开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8Poo3.html" rel="bookmark" class="title">流程任务-概述</a>
					<div>
						任务表示要在流程中完成的工作,类型主要有: service task:调用webservice或自动执行任务,如java service task.web service task.shell tas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M617gJ4.html" rel="bookmark" class="title">映射文件实现进程通信</a>
					<div>
						发送端 //1.在页面文件中创建一个可共享的文件句柄 //2使用默认安全对象 //3.可读,可写打开打开映射 //4.最大长度的高32位 //5.最大长度的低32位,此为size大小 //6.指定文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5D750.html" rel="bookmark" class="title">安装httpd2&period;4</a>
					<div>
						一. Centos 6下编译安装: 1.准备环境 ①安装编译环境 yum groupinstall -y &quot;Developmenttools&quot; &quot;Server Platf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQJBq4.html" rel="bookmark" class="title">springMVC&plus;angular&plus;bootstrap&plus;mysql的简易购物网站搭建</a>
					<div>
						springMVC+angular+bootstrap+mysql的简易购物网站搭建 介绍 前端的css框架用了bootstrap, 以及bootstrap的JS组件, 以及很好用的angular(a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAQOk4.html" rel="bookmark" class="title">串行RapidIO：高性能嵌入式互联技术--【转贴】</a>
					<div>
						串行 RapidIO: 高性能嵌入式互连技术 作者: 德州仪器技术应用工程师 冯华亮/ Brighton Feng/ [email protected] 摘要 串行RapidIO针对高性能嵌入式系统芯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ML2YnW3.html" rel="bookmark" class="title">Maven for Eclipse 第三章 &mdash;&mdash;创建和导入 Maven 项目</a>
					<div>
						这一章主要介绍 Maven 项目的结构,它的构建的架构,主要涵盖了必需的主题,最后将学习如何创建一个简单的 Maven 项目.这章主要包括以下部分. Maven 项目的结构 POM 文件(Projec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZzV63.html" rel="bookmark" class="title">Android加载大图片OOM异常解决</a>
					<div>
						尽量不要使用setImageBitmap或setImageResource或BitmapFactory.decodeResource来设置一张大图, 因为这些函数在完成decode后,最终都是通过ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVqgLz4.html" rel="bookmark" class="title">POJ 3185 The Water Bowls&lpar;高斯消元法，枚举自由变元&rpar;</a>
					<div>
						题目: The Water Bowls Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 5013   Accepted: 19 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NyPEG3.html" rel="bookmark" class="title">UICollectionViewFlowLayout and UICollectionView</a>
					<div>
						初始化: //初始化布局类(UICollectionViewLayout的子类)UICollectionViewFlowLayout *fl = [[UICollectionViewFlowLayou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klmNz3.html" rel="bookmark" class="title">那些情况该使用它们spin&lowbar;lock到spin&lowbar;lock&lowbar;irqsave【转】</a>
					<div>
						转自:http://blog.csdn.net/wesleyluo/article/details/8807919 权声明:本文为博主原创文章,未经博主允许不得转载. Spinlock的目的是用来同步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXdGA3.html" rel="bookmark" class="title">Java代码实现excel数据导入到Oracle</a>
					<div>
						1.首先需要两个jar包jxl.jar,ojdbc.jar(注意版本,版本不合适会报版本错误)2.代码: Java代码   import java.io.File; import java.io.Fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eaWJv0.html" rel="bookmark" class="title">前端小结（5）---- iframe</a>
					<div>
						iframe对应的div: &lt;div id=&quot;iframezone&quot;&gt; &lt;iframe id=&quot;iframe&quot; frameborder='0' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lLQbL0.html" rel="bookmark" class="title">java解惑之覆写</a>
					<div>
						一个包内私有的方法不能能被另一个包中的某个方法直接覆写 &lt;span style=&quot;font-size:18px;&quot;&gt;package one public class A ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
